Skip to main content
GET
/
wf
/
jobs-estimated-salary
cURL
curl --request GET \
  --url https://riona.ai/api/1.1/wf/jobs-estimated-salary \
  --header 'Authorization: Bearer <token>'

{
  "status": {
    "code": 200,
    "message": "OK"
  },
  "parameters": {
    "job_title": "nodejs developer",
    "city": "new york",
    "country": "US"
  },
  "data": [
    {
      "location": "New York City, NY",
      "job_title": "Nodejs Developer",
      "min_salary": 117839.88,
      "max_salary": 195411.15,
      "median_salary": 150982.95,
      "min_base_salary": 96544.05,
      "max_base_salary": 155658.93,
      "median_base_salary": 122588.51,
      "min_additional_pay": 21295.83,
      "max_additional_pay": 39752.22,
      "median_additional_pay": 28394.44,
      "salary_period": "YEAR",
      "salary_currency": "USD",
      "salary_count": 7,
      "salaries_updated_at": "Apr 10, 2025 11:59 pm",
      "publisher_name": "Glassdoor",
      "publisher_link": "https://www.glassdoor.com/Salaries/company-salaries.htm?suggestCount=0&suggestChosen=false&sc.keyword=Nodejs%20Developer&locT=C&locId=1132348",
      "confidence": "CONFIDENT"
    }
  ]
}

{
  "status": {
    "code": 200,
    "message": "OK"
  },
  "parameters": {
    "job_title": "nodejs developer",
    "city": "new york",
    "country": "US"
  },
  "data": [
    {
      "location": "New York City, NY",
      "job_title": "Nodejs Developer",
      "min_salary": 117839.88,
      "max_salary": 195411.15,
      "median_salary": 150982.95,
      "min_base_salary": 96544.05,
      "max_base_salary": 155658.93,
      "median_base_salary": 122588.51,
      "min_additional_pay": 21295.83,
      "max_additional_pay": 39752.22,
      "median_additional_pay": 28394.44,
      "salary_period": "YEAR",
      "salary_currency": "USD",
      "salary_count": 7,
      "salaries_updated_at": "Apr 10, 2025 11:59 pm",
      "publisher_name": "Glassdoor",
      "publisher_link": "https://www.glassdoor.com/Salaries/company-salaries.htm?suggestCount=0&suggestChosen=false&sc.keyword=Nodejs%20Developer&locT=C&locId=1132348",
      "confidence": "CONFIDENT"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

api_key
string
required

This is your account API Key. You can easily locate it in your account dashboard.

job_title
string
default:Accountant
required

Job title for which to get salary estimation.

city
string
default:New York
required

City name in which to get salary estimation, it accepts Free-form city name like NY or New York.

country
string

Country code in which to get salary estimation, Support all countries, it accepts two letter format like us uk fr. Country List

Response

200

OK